Bug 253503 - After logining in, takes ages for desktop to appear- other distros report similar
After logining in, takes ages for desktop to appear- other distros report sim...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 06:30 EDT by Peter Davie
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Session file as requested. (4.24 KB, application/octet-stream)
2007-08-20 10:13 EDT, Peter Davie
no flags Details

  None (edit)
Description Peter Davie 2007-08-20 06:30:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
I updated my system about two weeks ago after doing a fresh FC7 install form DVD. Before the update, all was fine and fast.

After the update, the desktop takes easily 1 minute to load. This looks suspiciously like a network timeout.

Other distros report a similar issue, the cause is variously given as the Avahi daemon and/or NetworkManager. Both were updated in the update the slowed everything down.

Installed bootchart to see if I could see where the issues were and that only covers items up until login.

My network connections (wired and wireless) work ok and no other systems are slow after the desktop finally appears.

Version-Release number of selected component (if applicable):
gnome-panel-2.18.3-1.fc7

How reproducible:
Always


Steps to Reproduce:
1. Install FC7
2. Apply latest updates as notified by yum updater
3. After login VERY slow to load desktop

Actual Results:


Expected Results:


Additional info:
Comment 1 Ray Strode [halfline] 2007-08-20 09:37:00 EDT
You may have a misbehaving application in your session.  That could trigger the
(way too long) 2 minute purge timeout in gnome-session.

Can you attach your ~/.gnome2/session file (if you have one) ?
Comment 2 Peter Davie 2007-08-20 10:13:27 EDT
Created attachment 161875 [details]
Session file as requested.

Hi hope this helps. I'm pretty new to some bits of Linux and not others (odd,
but there you are) and frankly i've no idea where the equivalent of a "gnome
boot log" after login might be. The session file to my untutored eye did not
seem so helpful. Thanks for looking into this.
Comment 3 Ray Strode [halfline] 2007-08-20 10:56:28 EDT
Hi Peter,

The session file is the list of applications that get started at login and
assert that they are session managed.  If any one of them is not talking
correctly to the session manager, then the session manager will wait 2 minutes
before giving up (and stall login for that long)

all text output during login (and while the session is activate) goes to
~/.xsession-errors

Would you mind moving ~/.gnome2/session out of the .gnome2 directory, press
ctrl-alt-backspace (to terminate your session) and try logging in again?

You're session file looks a little strange.  It has several copies of
krb5-auth-dialog for instance, and xdg-user-dirs-gtk-update which I don't
believe is a session managed application.

I don't know how those entries got in your session file, but if you remove the
session file I'm hoping things will work better.
Comment 4 Brian Powell 2008-04-25 00:27:30 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.